package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.PubFileInf;
import com.huyi.service.base.mapper.PubFileInfMapper;
import com.huyi.service.base.service.IPubFileInfService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: PubFileInfServiceImpl<br>
 * Description: IPubFileInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class PubFileInfServiceImpl extends ServiceImpl<PubFileInfMapper, PubFileInf> implements IPubFileInfService {

    @Autowired
    private PubFileInfMapper pubFileInfMapper;

    @Override
    public IPage<PubFileInf> findPubFileInfs(QueryRequest request, LambdaQueryWrapper<PubFileInf> wrapper) {
        Page<PubFileInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<PubFileInf> findPubFileInfs(LambdaQueryWrapper<PubFileInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createPubFileInf(PubFileInf pubFileInf) {
        this.save(pubFileInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updatePubFileInf(PubFileInf pubFileInf) {
        this.saveOrUpdate(pubFileInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deletePubFileInf(LambdaQueryWrapper<PubFileInf> wrapper) {
	    this.remove(wrapper);
	}
}
